/***********************
* Adobe Edge Composition Actions
*
* Edit this file with caution, being careful to preserve 
* function signatures and comments starting with 'Edge' to maintain the 
* ability to interact with these actions from within Adobe Edge
*
***********************/
(function($, Edge, compId){
var Composition = Edge.Composition, Symbol = Edge.Symbol; // aliases for commonly used Edge classes

   //Edge symbol: 'stage'
   (function(symbolName) {
      
      
      Symbol.bindElementAction(compId, symbolName, "document", "compositionReady", function(sym, e) {
         yepnope({
         	load: "http://simonwidjaja.github.com/EdgeCommons/live/EdgeCommons-0.4.0.js",
         	//load: "http://localhost/Aktiv/Intern/EdgeCommons/GitHub/master/sprint/EdgeCommons-Sprint-0.0.4.js",
         	//load: "http://localhost/Aktiv/Intern/EdgeCommons/GitHub/master/live/EdgeCommons-0.4.0.js",
         	callback: function() {
         		EC.setAdaptiveLayouts( [300, 600, 900] );
         		EC.applyAdaptiveLayout(sym, "adaptiveContainer");
         	}
         });

      });
      //Edge binding end

      Symbol.bindElementAction(compId, symbolName, "window", "resize", function(sym, e) {
         //console.log("resize");
         if (EC) {
         	EC.applyAdaptiveLayout(sym, "adaptiveContainer");
         }

      });
      //Edge binding end

   })("stage");
   //Edge symbol end:'stage'

   //=========================================================
   
   //Edge symbol: 'layout900'
   (function(symbolName) {   
   
   })("layout900");
   //Edge symbol end:'layout900'

   //=========================================================
   
   //Edge symbol: 'layout900_1'
   (function(symbolName) {   
   
   })("layout600");
   //Edge symbol end:'layout600'

   //=========================================================
   
   //Edge symbol: 'layout600_1'
   (function(symbolName) {   
   
   })("layout300");
   //Edge symbol end:'layout300'

})(jQuery, AdobeEdge, "EDGE-125498145");